elpy (1.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch series onto upstream 1.33.0.
  * Add pyprof2calltree to Suggests.  Pyprof2calltree converts cProfile
    data into a format that is consumable by kcachegrind and qcachegrind for
    graphical calltree analysis.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 09 Apr 2020 20:35:40 -0400

elpy (1.32.0-2) unstable; urgency=medium

  [ Salman Mohammadi ]
  * add Suggests: elpa-flycheck because this package can be used as
    an alternative to flymake which is the default on-the-fly syntax checker.
  * rules: disable internet access while building sphinx documentation.
    According to Debian Policy §4.9, packages may not attempt network access
    during the build.

  [ Nicholas D Steeves ]
  * control: Replace tab on ipython3 line with spaces.
  * Add Recommends: elpa-find-file-in-project.  It was previously
    installed via ${elpa:Depends} as an upstream-defined (hard)
    dependency.  Ffip was made somewhat optional in Elpy v1.32.0, and if
    upstream did not depend on it in their Cask and start-clean-elpy.el
    files then this would be more of a Suggests.  Ffip works out-of-the-box
    and does not require configuration, and has been well tested, which is
    why it is the primary candidate.  'elpy-find-file' emits an error if
    neither this package nor Projectile are found, and enabling this
    functionality enhances the IDE experience for most users, thus
    Recommends and not Suggests. (Closes: #948567, #948569)
  * Add elpa-projectile to Recommends as an alternative back-end for
    'elpy-find-file'.  Users who wish to avoid installing elpa-ivy may
    choose this alternative; however, Projectile may require configuration
    to work properly.  Unlike ffip, Projectile does not appear in upstream's
    Cask file, but there are ERT tests for its functionality.
  * Add elpa-projectile to Build-Depends to activate these tests.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 16 Feb 2020 16:55:58 -0500

elpy (1.32.0-1) unstable; urgency=medium

  [ Salman Mohammadi ]
  * d/control: add python3-sphinx-rtd-theme as a build dependency

  [ Nicholas D Steeves ]
  * Add missing newline to patch series.
  * Add ${sphinxdoc:Depends} to elpa-elpy's Depends.  This installs the
    rtd-theme, which must be a Depends and not a Recommends.  This will also
    install libjs-sphinxdoc as a hard dep, so drop it from Recommends.
  * New upstream release.
  * Rebase patch series onto upstream 1.32.0.
  * Drop 0002-Add-script-to-benchmark-tests.patch which is a commit that
    is present in this release.
  * ert-helper.el: Upstream fixed bugs in scripts/elpy-test-benchmark.el
    which were causing tests to fail due to an unclean test environment,
    so it became possible to drop the (prog1 FIRST BODY) form that was
    used to run tests first.  Also, this means it became possible to move
    (ert-run-tests-batch-and-exit) to the position of the final expression,
    which is what dh-elpa requires.  See Bug #941330 for more info.
  * debian-autoloads.el: Set elpy-rpc-virtualenv-path to "'system".
    Upstream has moved to a default where everything is installed to a
    virtualenv using pip, which is incompatible with Debian Policy.  This
    configuration key restores the previous behaviour of using system
    Python packages by default.
  * rules: Activate ELPY_TEST_DONT_USE_VIRTUALENV, because self-tests and
    autopkgtests test virtualenv creation using pip rather than the
    package as-installed, even when elpy-rpc-virtualenv-path is set to
    "'system".
  * The change above doesn't solve to autopkgtest case, and using
    ert-helper.el doesn't work, so add
    0005-test-helper.el-uniquivocally-set-elpy-test-dont-use-.patch.  It
    is unclear whether this is an upstream bug or a dh-elpa bug.
  * debian-autoloads.el: Add "-E" to python-shell-interpreter args, to
    "Ignore environment variables like PYTHONPATH and PYTHONHOME that
    modify the behavior of the interpreter." (man python3(1)).
  * Disable the execution of benchmarks from ert-runner.el (which is
    called from dh-elpa).  See comment in ert-runner.el for rationale.  It
    is unclear whether these fail due to an upstream Elpy, Emacs, or
    dh-elpa bug.  See https://github.com/jorgenschaefer/elpy/issues/1724
    for more info.  Help would be appreciated!

  [ Salman Mohammadi and Nicholas D Steeves ]
  * Add 0004-docs-conf.py-build-the-documentation-using-sphinx_rt.patch to
    build the documentation using the sphinx_rtd_theme.
  * d/control: Change python3-jupyter-console Suggests to jupyter-console,
    because python3-jupyter-console does not provide
    /usr/bin/jupyter-console, which Elpy requires in order to use this
    functionality.
  * d/control: Add ipython3 to Suggests, but not as an alternative to
    jupyter-console.  IPython can also be configured to be used with Elpy
    as an interactive Python shell.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 09 Jan 2020 16:22:02 -0700

elpy (1.31.0-1) unstable; urgency=medium

  * New upstream version.
  * Add Upstream-Contact to copyright file.
  * Add 0002-Add-script-to-benchmark-tests.patch.  It was cherry picked
    from upstream.
  * Move 0002-Double-max-wait-in-elpy-wait-for-output-self-test.patch to the
    end of the series, and rebase it on the previous patch.
  * Move as much as possible of debian/elpa-test's ert_eval expression to
    debian/ert-helper.el, run ert-run-tests-batch elpy-test-benchmark.el
    in strict order, and return the result of ert-run-tests-batch.
  * Drop elpy/* from autopkgtest_keep.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 14 Sep 2019 19:35:28 -0400

elpy (1.29.1+65.g8adc427-1) unstable; urgency=medium

  * Package new upstream snapshot.
    Elpy should now be ready for the Python 2 removal.
  * Drop build-dep on python3-flake8, because flake8's deps now provide it.
  * Drop emacs25 from Enhances, because it's now just a dummy package.
  * Drop python-autopep8 from build-deps; it is no longer needed for self-tests.
  * Switch from using "sphinx-build" to new explicit "python3 -m sphinx" method.
  * ReST files are already installed to /usr/share/doc/elpa-elpy/html/_sources
    so it makes sense to make them more visible and discoverable with links to
    /usr/share/doc/elpa-elpy/rst.  Thanks to the Python Library Style Guide
    on wiki.debian.org for this tip.
  * Add elpa-pip-requirements to Suggests; editing requirements[3].txt files
    is part maintaining a project, so this is nice to have.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 06 Sep 2019 13:30:42 -0400

elpy (1.29.1+40.gb929013-1) unstable; urgency=medium

  * Package upstream snapshot.
  * Drop all patches that were merged upstream:
    0002-Add-a-quickstart-section-to-the-documentation-1598.patch
    0003-Make-sure-we-cannot-load-Elpy-twice.patch
    0004-Enable-elpy-mode-in-python-buffer-when-enabling-Elpy.patch
    0005-Fix-typo.patch
  * Register HTML documentation with doc-base.
  * Add a tip to README.Debian about how to trigger elpy-enable only for
    buffers that would use python-mode, instead of unconditionally running
    it during Emacs init.
  * debian/elpa-test: Set elpa-rpc-timeout to double it's default value to
    defend against timing-related self-test failures on DebCI.
  * Add 0002-Double-max-wait-in-elpy-wait-for-output-self-test.patch to
    double the amount of time we wait-for-output during self-tests.
  * Switch to debhelper-compat 12.
  * Declare Standards-Version: 4.4.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 25 Jul 2019 22:20:27 -0400

elpy (1.28.0-2) unstable; urgency=medium

  * debian/rules: Disable DH_VERBOSE.
  * Use sphinx to generate documentation in html format, and use
    debian/docs to install it.
    (Closes: #928633)
  * Add libjs-sphinxdoc to Recommends.  This package's html doc search page
    fails gracefully with "Please activate JavaScript to enable the search
    functionality" if a user chooses not to install libjs-sphinxdoc.
  * debian/README.Debian: Make explicit how Debian's Elpy package does
    not ship with support for Python 2. (Closes: #927084)
  * debian/control: Clarify comment explaining why the Python 2 package
    python-autopep8 is a build dependency.
  * Add 0002-Add-a-quickstart-section-to-the-documentation-1598.patch
    (Closes: #927085)
  * Add 0004-Enable-elpy-mode-in-python-buffer-when-enabling-Elpy.patch,
    and its prerequisite 0003-Make-sure-we-cannot-load-Elpy-twice.patch.
    Also add 0005-Fix-typo.patch, which is a fixup for the 0003-* patch.
    See DEP-3 headers of patches for more information. (Closes: #926326)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 29 May 2019 18:05:30 -0400

elpy (1.28.0-1) unstable; urgency=medium

  * New upstream version.
  * Rework several sections of README.Debian to be more concise and clear.
  * debian/control: Add "Rules-Requires-Root: no"
  * Update my copyright year range.
  * debian/elpa-test:
    - No longer exclude elpy-news-test.el, which was removed upstream.
    - Re-enable tests from elpy-promise-wait-test.el now that the Python 3.7
      transition is complete.
  * Declare Standards-Version: 4.3.0. (no additional changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 05 Jan 2019 17:13:12 -0500

elpy (1.26.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop 0002-Handle-sphinx-warnings-linked-to-indexnode.patch.
    (merged upstream)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 27 Nov 2018 19:45:22 -0500

elpy (1.25.0-1) unstable; urgency=medium

  * New upstream version.
  * Upstream no longer distributes NEWS.rst
    - debian/rules: Drop build/NEWS generation.
    - Drop debian/local-var-snippet which was only used in NEWS.
    - debian/docs: do not install build/NEWS.
    - debian/elpa-test: Do not run test for elpy-news-should-insert-file,
      because it depends on NEWS.rst, which was dropped upstream.
  * Support 'nodoc' build profile
    - debian/control: Add <!nodoc> to python3-sphinx and texinfo build deps.
    - debian/rules: Only attempt to generate documentation when nodoc is
      not present in DEB_BUILD_PROFILES.
    - debian/rules: Workaround Bug #908078, because dh_sphinxdoc does not
      yet detect when "nodoc" is active and --with sphinxdoc will fail when
      python3-sphinx is not installed.
  * Add lintian-override for wrong-section-according-to-package-name, because
    section "devel" is most appropriate for an IDE for Python development
    when that IDE is implemented in Emacs Lisp.
  * debian/rules: Fix typo.
  * Enable support for Black, the uncompromising Python code formatter, now
    that it has been added to the Debian archive.
    - debian/control: Add black to Build-Depends and Suggests.
    - Drop debian/patches/0002-Disable-tests-for-black-code-formatter.patch.
  * Import upstream 0002-Handle-sphinx-warnings-linked-to-indexnode.patch
    This patch fixes numerous warnings of "4 column based index found" when
    building.
  * Fix sentence fragment in long description.
  * debian/elpa-test: Temporarily disable
    elpy-promise-wait-should-return-early-for-resolved and related tests
    in elpy-promise-wait-test.el.  This test passes 100% of the time with
    python3.6=3.6.6-1 and python3.7=3.7.1~rc1-1 and fails ~40% of the time
    with python3.6=3.6.7~rc1-1.  Issue has been forwarded upstream.  Tests
    involving Elpy "promises" will be reenabled after the Python 3.7
    transition. (Closes: #910311)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 12 Oct 2018 18:16:00 -0400

elpy (1.24.0-1) unstable; urgency=medium

  * New upstream version.
  * Revert "Compress README.rst with gzip before installing" because
    README.rst is only 2.8k and dh_compress already does the right thing
    automatically; that is to say, README.rst is not "larger than 4k in
    size" (dh_compress(1)) and should not be compressed.
  * Exclusively use Python 3 dependencies and configure the use of
    /usr/bin/python3 by default. (Closes: #899212)
  * debian/README.Debian:  Document how Python 2 support is not enabled
    in this Debian package.
  * debian/debian-autoloads.el:
    - Add Debian-specific configuration to default to using Python 3.
    - Document this customisation in README.Debian along with instructions
      on how to revert this when moving between Python 2 and Python 3
      virtualenvs.
    - Additionally unset Elpy's custom PYTHONPATH, which is not needed in
      packages that use dh-python.  Previously Elpy unnecessarily searched
      site-lisp/elpa/elpy-1.23.0 for its associated Python modules.
  * debian/control:
    - Drop python2 dependencies which are no longer needed
      for self-tests to pass.
    - Put ELPA build-dep section before Python one (more alphabetical).
    - Move python3-sphinx build dependency to the section for documentation.
    - Add python3-jupyter-console to Suggests.  The upstream Elpy project
      recommends using Jupyter console for interactive Python.
    - Rely on ${elpa:Depends} and drop explicitly declared ones in bin:pkg.
    - Rely on ${python3:Depends} to generate dependency on python3-flake8.
    - Add build and runtime dependency on flake8, which provides
      /usr/bin/flake8.  This wrapper script is still used in various places,
      and it is part of the flake8 package provided by PyPI/pip.
  * Declare Standards-Version: 4.2.1. (No additional changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 03 Sep 2018 20:08:24 -0400

elpy (1.23.0-1) unstable; urgency=medium

  * New upstream version.
  * Build and install info page.
  * Declare Standards-Version: 4.2.0
    - §12.7, Install NEWS.rst as NEWS.
  * Add "Local Variables" footer to NEWS so that it opens in ReST mode.
  * Compress README.rst with gzip before installing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 08 Aug 2018 17:48:06 -0400

elpy (1.22.0-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.
  * Add 0002-Disable-tests-for-black-code-formatter.patch
    - Debian does not yet provide a package for Black, "the uncompromising
      Python code formatter" (https://github.com/ambv/black).
    - Disable these tests until there is something to test.
  * Rename 0001-Disable-failing-tests.patch to
        -> 0001-Disable-test-shell-send-region-or-buffer.patch

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 03 Jul 2018 14:39:24 -0400

elpy (1.21.0-1) unstable; urgency=medium

  * New upstream version.
  * Cleanup elpy.egg-info files to allow consecutive dpkg-buildpackage runs
    to succeed from the unpacked source package. (Closes: #898205)
  * Begin switch from python-autopep8 to python3-autopep8:
    - Update elpa-elpy's Suggests to reflect this change.
    - Add python3-autopep8 to Build-Depends.
    - Python-autopep8 cannot yet be dropped from Build-Depends, because
      self-tests do not yet seem to be Python 3-only ready.  At present
      it is automatically installed when a user installs python3-autopep8,
      because python3-autopep8 Recommends its Python 2 variant.
      See Bug #899212 for progress on Elpy's transition to depending
      exclusively on Python 3 libraries.
  * Update Maintainer team name and email address.
  * Change section from lisp to devel, because Elpy is an integrated
    development environment and devel is the correct section for IDEs.
    In addition to correctness, this change makes elpy more discoverable to
    users.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 27 May 2018 12:26:40 -0400

elpy (1.20.0-1) unstable; urgency=medium

  * Initial release. (Closes: #825980, #861174)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 27 Apr 2018 14:17:35 -0400
